FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

squid -- remote denial of service vulnerability

Affected packages
2.7.1 <= squid < 2.7.6
3.0.1 <= squid < 3.0.13


VuXML ID 9c2460a4-f6b1-11dd-94d9-0030843d3802
Discovery 2009-02-04
Entry 2009-02-09
Modified 2009-02-10

Squid security advisory 2009:1 reports:

Due to an internal error Squid is vulnerable to a denial of service attack when processing specially crafted requests.

This problem allows any client to perform a denial of service attack on the Squid service.


CVE Name CVE-2009-0478